function onBegin()
  disableMovement()
  disablePause()
  engine.Scene:ZoomSnap((player.Position - getRoom().Camera.Position + vector2(0,-8)), 40)
  setFlag("night",true)
  setFlag("itisnight",true)
  setFlag("ortal2",false)
  setFlag("ortal3",false)
  coroutine.yield(engine.Scene:ZoomBack(1))
  enableMovement()
  enablePause()
  wait(0.7)
end